Commits

Anonymous committed 1ec34a0

Don;t build curses on MacOSX 10.1 or later. This is patch 496905, and
Anthony asked me to check it in.

Comments (0)

Files changed (1)

             curses_libs = ['ncurses']
             exts.append( Extension('_curses', ['_cursesmodule.c'],
                                    libraries = curses_libs) )
-        elif (self.compiler.find_library_file(lib_dirs, 'curses')) and platform != 'darwin1':
+        elif (self.compiler.find_library_file(lib_dirs, 'curses')) and platform[:6] != 'darwin':
         	# OSX has an old Berkeley curses, not good enough for the _curses module.
             if (self.compiler.find_library_file(lib_dirs, 'terminfo')):
                 curses_libs = ['curses', 'terminfo']